<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<!-- story helper tags -->
<% available_statuses_by_type.each do |type, statuses| %>
  <% statuses.each do |old_status, allowed_statuses| %>
    <select class="status_id helper" id="status_id_options_<%= type.id %>_<%= old_status.id %>">
      <% allowed_statuses.sort_by(&:position).each do |status| %>
        <option value="<%= status.id %>" class="<%= (status.is_closed? ? "#{t(:label_closed_work_packages)} " : "") %>">
          <%= status.name %>
        </option>
      <% end %>
    </select>
  <% end %>
<% end %>

<% all_work_package_status.each do |old_status| %>
  <select class="status_id helper" id="status_id_options_default_<%= old_status.id %>">
    <% if old_status != default_work_package_status %>
      <option value="<%= old_status.id %>" class="<%= (old_status.is_closed? ? "#{t(:label_closed_work_packages)} " : "") %>">
        <%= old_status.name %>
      </option>
    <% else %>
      <option value="<%= default_work_package_status.id %>" class="<%= (default_work_package_status.is_closed? ? "#{t(:label_closed_work_packages)} " : "") %>">
        <%= default_work_package_status.name %>
      </option>
    <% end %>
  </select>
<% end %>

<select class="status_id helper" id="status_id_options">
  <% all_work_package_status.each do |status| %>
    <option value="<%= status.id %>" class="<%= (status.is_closed? ? "#{t(:label_closed_work_packages)} " : "") %>">
      <%= status.name %>
    </option>
  <% end %>
</select>

<select class="type_id helper" id="type_id_options">
  <% available_story_types.each do |type| %>
    <option value="<%= type.id %>">
      <%= type.name %>
    </option>
  <% end %>
</select>

<div id="story_template">
  <%= render partial: 'rb_stories/story', object: template_story, locals: { project: @project, permission: :add_work_packages } %>
</div>
